This forum is no longer active. Please post your questions to our new community site

Forums Moodle

Run 2 versions of moodle on one stack?

Subscribe to Run 2 versions of moodle on one stack? 5 post(s), 2 voice(s)

 
Avatar benreynolds 6 post(s)

Hi,
Is it possible to run 2 versions of Moodle on one BitNami stack? If yes, can you point me to directions for how to do it?
I’ve got Moodle1.9.9 and I need to install 2.0+
Thank you!

 
Avatar benreynolds 6 post(s)

I found the answer in the readme, I installed the latest 2.0 in a separate folder from the 1.9. Gave it port 81. Could not get the database to start. I also lost the shortcuts to my 1.9 install :-(
When I looked in the 2.0 phpMyAdmin, the number of Bitnami_Moodle tables was 0. So, uninstalled 2.0 and will start over in a little while.

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi,

That is strange. Did you find any error during the installation? MySQL database should also request another por, for instance you can use 3307 if the default port was not free.

 
Avatar benreynolds 6 post(s)

Yes, toward the end of installation, I got several error messages of the sort attached. I don’t think this is related, but I tried to do this install in Program Files(x86), which is the approved location for 32 bit programs, but the 1.9 install is in Program Files, the approved location for 64-bit files.

 

Attached Files

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi,

This could be related with the error. Some applications could be problems with the parenthesis. Please try to install without (x86). Cheers.

Forums Moodle